
$("#fecha_pago").datepicker({
    dateFormat: 'yy-mm-dd'
  });

  $('#tipo_nomina').change(function() {
    var tipo_nomina = $('#tipo_nomina').val();
    var dates = new FormData();
    dates.append('tipo_nomina', tipo_nomina);
    fetch('autocompletar/consultahorario.php', {
        method: 'POST',
        body: dates
      })
      .then(res => res.json())
      .then(data => {
        if (data == 'Error') {
          //nada
        } else {}
        if (tipo_nomina == 100) {
          $('#periodo').empty();
          $('#periodo').append($("<option>", {
            value: '',
            text: 'Seleccione'
          }));
          for (i = 0; i < data.length; i++) {
            $('#periodo').append($("<option>", {
              value: data[i]['desde'] + ' ' + data[i]['hasta'],
              text: data[i]['desde'] + '  ' + data[i]['hasta']
            }));
          }

        } else if (tipo_nomina == 200) {
          $('#periodo').empty();
          $('#periodo').append($("<option>", {
            value: '',
            text: 'Seleccione'
          }));
          if (data !== null) {
            for (i = 0; i < data.length; i++) {
              $('#periodo').append($("<option>", {
                value: data[i]['desde'] + ' ' + data[i]['hasta'],
                text: data[i]['desde'] + '  ' + data[i]['hasta']
              }));
            }
          }
        }
      });
  });

  $(document).ready(function() {

    
    function descargarArchivo() {
      if(typeof FILE_NAME !== 'undefined') {  
        var url = 'descargar_cifrado.php?filename=' + encodeURIComponent(FILE_NAME);

        // Abre una nueva ventana con la URL especificada
        window.open(url, '_blank');
        location.href="generar_asientos.php";
      }
  }

    $('#enviarNomina').prop('disabled', true);
    $('#enviarNomina').css("opacity", 0.2);

    $('#nomina').change(function() {
      if ($(this).val() != '' && $('#tipo_nomina').val() != '' && $('#periodo').val() != '') {
        $('#enviarNomina').prop('disabled', false);
        $('#enviarNomina').css("opacity", 1);
      } else {
        $('#enviarNomina').prop('disabled', true);
        $('#enviarNomina').css("opacity", 0.2);
        $('#div_nomina').show();
      }

      if ($(this).val() == 'pagos_especiales' || $(this).val() == 'vacaciones' || $(this).val() == 'finiquitos' || $(this).val() == 'utilidades') {
        $('#periodo').attr('required', false);
        $('#div_periodo').hide();
        $('#div_fecha_pago').show();
        $('#fecha_pago').attr('required', true);
        $('#enviarNomina').prop('disabled', false);
        $('#enviarNomina').css("opacity", 1);
        $('#div_nomina').show();

      } else {
        $('#div_fecha_pago').hide();
        $('#fecha_pago').attr('required', false);
        $('#div_periodo').show();
        $('#periodo').attr('required', true);
        $('#div_nomina').show();
      }

      if ($(this).val() == 'nomina_ordinaria' || $(this).val() == 'nomina_fideicomiso' || $(this).val() == 'nomina_dias_adic_fideicomiso') {
        $('#div_fecha_pago').show();
        $('#fecha_pago').attr('required', true);
        $('#div_nomina').show();
      }
      if ($(this).val() == 'ERP') {
        $('#enviarNomina').prop('disabled', false);
        $('#enviarNomina').css("opacity", 1);
        $('#periodo').attr('required', false);
        $('#div_periodo').hide();
        $('#div_fecha_pago').hide();
        $('#div_nomina').hide();
        $('#fecha_pago').attr('required', false);
        $('#tipo_nomina').attr('required', false);
        $('#div_tabla').show();
      }

    });
    $('#tipo_nomina').change(function() {

      if ($(this).val() != '' && $('#nomina').val() != '' && $('#periodo').val() != '') {
        $('#enviarNomina').prop('disabled', false);
        $('#enviarNomina').css("opacity", 1);
      } else {
        $('#enviarNomina').prop('disabled', true);
        $('#enviarNomina').css("opacity", 0.2);
      }

      if ($('#nomina').val() == 'pagos_especiales' || $('#nomina').val() == 'vacaciones' || $('#nomina').val() == 'finiquitos' || $('#nomina').val() == 'utilidades') {
        $('#enviarNomina').prop('disabled', false);
        $('#enviarNomina').css("opacity", 1);
      }
    });
    $('#periodo').change(function() {
      if ($(this).val() != '' && $('#nomina').val() != '' && $('#tipo_nomina').val() != '') {
        $('#enviarNomina').prop('disabled', false);
        $('#enviarNomina').css("opacity", 1);
      } else {
        $('#enviarNomina').prop('disabled', true);
        $('#enviarNomina').css("opacity", 0.2);
      }
    });
  });